import { HarnessPredicate } from '@angular/cdk/testing';
import { SkyComponentHarness } from '@skyux/core/testing';
import { SkyHelpInlineHarnessFilters } from './help-inline-harness.filters';
/**
 * Harness for interacting with a help inline button component in tests.
 */
export declare class SkyHelpInlineHarness extends SkyComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a
     * `SkyHelpInlineHarness` that meets certain criteria.
     */
    static with(filters: SkyHelpInlineHarnessFilters): HarnessPredicate<SkyHelpInlineHarness>;
    /**
     * Clicks the help inline button.
     */
    click(): Promise<void>;
    /**
     * Gets the `aria-controls` value.
     */
    getAriaControls(): Promise<string | null>;
    /**
     * Gets the `aria-expanded` value.
     */
    getAriaExpanded(): Promise<boolean>;
    /**
     * Gets the `aria-label` value.
     */
    getAriaLabel(): Promise<string | null>;
    /**
     * Gets the `aria-labelledby` value.
     * @internal
     */
    getAriaLabelledBy(): Promise<string | null>;
    /**
     * Gets the label text.
     */
    getLabelText(): Promise<string | undefined>;
    /**
     * Gets the help popover content.
     */
    getPopoverContent(): Promise<string | undefined>;
    /**
     * Gets the help popover title.
     */
    getPopoverTitle(): Promise<string | undefined>;
}
